Skip to main content
GET
/
v2
/
persons
/
{personId}
Get a single Person
curl --request GET \
  --url https://api.affinity.co/v2/persons/{personId} \
  --header 'Authorization: Bearer <token>'
{
  "id": 1,
  "firstName": "Jane",
  "lastName": "Doe",
  "primaryEmailAddress": "jane.smith@northpointvc.com",
  "emailAddresses": [
    "jane.smith@northpointvc.com",
    "janedoe@gmail.com"
  ],
  "type": "internal",
  "fields": [
    {
      "id": "affinity-data-location",
      "name": "Location",
      "type": "enriched",
      "enrichmentSource": "affinity-data",
      "value": {
        "type": "company-multi",
        "data": [
          {
            "id": 1,
            "name": "Horizon Technologies",
            "domain": "horizontech.com"
          },
          {
            "id": 2,
            "name": "Crestwood Capital",
            "domain": "crestwoodcap.com"
          }
        ]
      }
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://developer.affinity.co/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

personId
integer<int64>
required

Person ID

Required range: 1 <= x <= 9007199254740991

Query Parameters

fieldIds
string[]

Field IDs for which to return field data

Example:
["field-1"]
fieldTypes
enum<string>[]

Field Types for which to return field data

Available options:
enriched,
global,
relationship-intelligence

Response

OK

Person model

id
integer<int64>
required

The persons's unique identifier

Required range: 1 <= x <= 9007199254740991
Example:

1

firstName
string
required

The person's first name

Example:

"Jane"

lastName
string | null
required

The person's last name

Example:

"Doe"

primaryEmailAddress
string<email> | null
required

The person's primary email address

Example:

"jane.smith@northpointvc.com"

emailAddresses
string<email>[]
required

All of the person's email addresses

Example:
[
"jane.smith@northpointvc.com",
"janedoe@gmail.com"
]
type
enum<string>
required

The person's type. internal - people who are users within your Affinity instance. external - people who are not internal.

Available options:
internal,
external
Example:

"internal"

fields
Field · object[]

The fields associated with the person